#include <stdio.h>
#include <string.h>
#include <freertos/FreeRTOS.h>
#include <freertos/task.h>
#include <esp_log.h>
#include <sdkconfig.h>

#include "mecha.h"
#include "sacn.h"
#include "lcd.h"
#include "eth.h"

static const char *TAG = "plc";

/**
 * @brief LEIGH:plc entry point
 * 
 * Main entry point for the LEIGH:plc. The PLC is intended to run on ESP32 and Ethernet
 * will always be present.
 */
void app_main()
{
    ethFinit();
    xTaskCreate(sacnFtask, "SACN", 4000, NULL, 1, NULL);
    xTaskCreate(lcdFtask, "LCD", 4000, NULL, 2, NULL);
}